"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * 日历
 *
 * @class IBizCalendar
 * @extends {IBizMDControl}
 */
var IBizCalendar = /** @class */ (function (_super) {
    __extends(IBizCalendar, _super);
    /**
     * Creates an instance of IBizGrid.
     * 创建 IBizGrid 实例
     *
     * @param {*} [opts={}]
     * @memberof IBizGrid
     */
    function IBizCalendar(opts) {
        if (opts === void 0) { opts = {}; }
        var _this = _super.call(this, opts) || this;
        /**
         * 日历类型
         *
         * @type {(string | 'MONTH' | 'WEEK' | 'DAY')}
         * @memberof IBizCalendar
         */
        _this.calendarType = '';
        /**
         * 刷新计数
         *
         * @type {number}
         * @memberof IBizCalendar
         */
        _this.refreshCount = 0;
        return _this;
    }
    /**
     * 加载数据
     *
     * @param {*} [arg={}]
     * @returns {void}
     * @memberof IBizGrid
     */
    IBizCalendar.prototype.load = function (arg) {
        if (arg === void 0) { arg = {}; }
        this.refreshCount += 1;
    };
    /**
     * 获取日历类型
     *
     * @returns {string}
     * @memberof IBizCalendar
     */
    IBizCalendar.prototype.getCalendarType = function () {
        return this.calendarType;
    };
    /**
     * 获取高度
     *
     * @returns {(number | undefined)}
     * @memberof IBizCalendar
     */
    IBizCalendar.prototype.getHeight = function () {
        return this.height;
    };
    /**
     * 行单击选中
     *
     * @static
     * @memberof IBizCalendar
     */
    IBizCalendar.ROWDBLCLICKNEWDATA = 'ROWDBLCLICKNEWDATA';
    /**
     * 行数据双击选中
     *
     * @static
     * @memberof IBizCalendar
     */
    IBizCalendar.ROWDBLCLICK = 'ROWDBLCLICK';
    return IBizCalendar;
}(IBizMDControl));
